curl --request POST \
--url https://openplatform.gateapi.io/pay-subscription/open/institution/v1/order/complete \
--header 'Content-Type: application/json' \
--header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
--header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
--header 'X-GatePay-On-Behalf-Of: <x-gatepay-on-behalf-of>' \
--header 'X-GatePay-Signature: <x-gatepay-signature>' \
--header 'X-GatePay-Timestamp: <x-gatepay-timestamp>' \
--data '
{
"operationType": "CANCEL"
}
'{
"code": "0",
"message": "",
"data": null,
"success": true
}订阅订单状态流转
curl --request POST \
--url https://openplatform.gateapi.io/pay-subscription/open/institution/v1/order/complete \
--header 'Content-Type: application/json' \
--header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
--header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
--header 'X-GatePay-On-Behalf-Of: <x-gatepay-on-behalf-of>' \
--header 'X-GatePay-Signature: <x-gatepay-signature>' \
--header 'X-GatePay-Timestamp: <x-gatepay-timestamp>' \
--data '
{
"operationType": "CANCEL"
}
'{
"code": "0",
"message": "",
"data": null,
"success": true
}Documentation Index
Fetch the complete documentation index at: https://docs.gate.com/llms.txt
Use this file to discover all available pages before exploring further.
POST /open/institution/v1/order/complete 接口。完整的请求参数、响应结构与示例由上方关联的 OpenAPI 定义渲染。
X-GatePay-On-Behalf-Of。商户客户端ID,在 GatePay 平台申请获得
"4186d0c6-6a35-55a9-8dc6-5312769dbff8"
HMAC-SHA256签名,用于验证请求合法性
"672d5650dcc9bb22ebf25fa16c28d03c0e159d742a9176d4340a5da326d75dc8a2ec24c97fa6fc5d1533dd6e968863747e1d86a45e562cbe899f9ed7e9ca7f77"
时间戳(毫秒),与服务器时间差不能超过5分钟
"1672905655498"
随机数,用于防止重放攻击
"9578"
必填代理归属请求头。请填写本次请求的发起方账户 ID;在机构代理商户 API 中通常填写目标子账户 ID,在机构代扣与划转接口中可填写机构账户 ID 或子账户 ID。
订阅订单状态流转入参
操作类型:FINISH(完成)/CANCEL(取消)
FINISH, CANCEL "FINISH"
订阅订单编号(与merchantSubscriptionOrderNo任选一个)
"SUB_20240101_001"
商户订阅订单编号(与subscriptionOrderNo任选一个)
"MSUB_20240101_001"
操作原因,最多100字符
100"用户主动取消订阅"